Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - php-grpc

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: php-grpc 1.0.1-1

Git Clone URL: https://aur-dev.archlinux.org/grpc.git (read-only)
Package Base: grpc
Description: A high performance, open source, general RPC framework that puts mobile and HTTP/2 first.
Upstream URL: http://www.grpc.io/
Licenses: BSD
Submitter: sarum9in
Maintainer: sarum9in
Last Packager: sarum9in
Votes: 11
Popularity: 1.740743
First Submitted: 2015-02-28 18:18
Last Updated: 2016-11-22 23:15

Latest Comments

1 2 Next › Last »

krnlpk commented on 2017-02-04 14:48

https://github.com/grpc/grpc/releases/tag/v1.1.0 is out.

Ape commented on 2017-02-01 10:39

I uploaded grpc-dev package with grpc 1.1.0-pre1 which works with protobuf 3.1.

Ape commented on 2017-01-30 13:24

I get this error:

[CXX] Compiling src/cpp/ext/proto_server_reflection.cc
In file included from include/grpc++/ext/reflection.grpc.pb.h:73:0,
from ./src/cpp/ext/proto_server_reflection.h:39,
from src/cpp/ext/proto_server_reflection.cc:39:
include/grpc++/ext/reflection.pb.h:51:2: error: #error This file was generated by an older version of protoc which is
#error This file was generated by an older version of protoc which is
^~~~~
include/grpc++/ext/reflection.pb.h:52:2: error: #error incompatible with your Protocol Buffer headers. Please
#error incompatible with your Protocol Buffer headers. Please
^~~~~
include/grpc++/ext/reflection.pb.h:53:2: error: #error regenerate this file with a newer version of protoc.
#error regenerate this file with a newer version of protoc.

sarum9in commented on 2016-11-29 18:28

protobuf3 is supposed to be removed and is no longer supported, see discussion at https://aur.archlinux.org/packages/protobuf3/

However if you refer to extra/protobuf https://www.archlinux.org/packages/extra/x86_64/protobuf/ version 3.0.2, then it is supposed to work. If this is the case please provide more information about system you use to build: compiler version, protobuf version, full error message and command used to reproduce the error.

pietrko commented on 2016-11-29 17:47

Is it supposed to work with protobuf3? Building is not allowed with protobuf3.
Anyway i've tried and I'm I'm getting following error:
objective_c_plugin.cc:44:49: error: ‘google::protobuf::compiler::objectivec::ProtobufLibraryFrameworkName’

sarum9in commented on 2016-08-30 10:48

Sorry for kinda late response, but still:
there was a problem with protobuf versioning, basically new version 3.0.0 compares older than previous one 3.0.0-beta4. I think proper solution here is to put exact version requirement to gRPC since I maintain both packages.

Ape commented on 2016-08-30 08:26

I rebuild protobuf3 and now it seems to be working.

Ape commented on 2016-08-30 07:22

I'm getting this error:

[LD] Linking /tmp/grpc7715/grpc/src/grpc-1.0.0/libs/opt/libgrpc_cronet.so.1.0.0
src/cpp/ext/reflection.pb.cc: In member function ‘google::protobuf::uint8* grpc::reflection::v1alpha::ServerReflectionRequest::InternalSerializeWithCachedSizesToArray(bool, google::protobuf::uint8*) const’:
src/cpp/ext/reflection.pb.cc:718:14: error: ‘InternalWriteMessageNoVirtualToArray’ is not a member of ‘google::protobuf::internal::WireFormatLite’
target = ::google::protobuf::internal::WireFormatLite::

sarum9in commented on 2016-08-29 22:17

I reactivated php-grpc subpackage since developers fixed PHP7 bug, but I have no means to test it. If anyone is interested I can improve php subpackage with some help (mostly what and where to install) or add any other language support implemented in https://github.com/grpc/grpc (I like the idea of building packages related to one source in one PKGBUILD).

sarum9in commented on 2016-02-03 12:47

php-grpc is currently broken: https://github.com/grpc/grpc/issues/4337